Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Attributes
Lucene::Insanity Class Reference

Simple container for a collection of related CacheEntry objects that in conjunction with each other represent some "insane" usage of the FieldCache. More...

`#include <FieldCacheSanityChecker.h>`

Inheritance diagram for Lucene::Insanity:

## Public Member Functions

| Insanity (FieldCacheSanityChecker::InsanityType type, const String &msg, Collection< FieldCacheEntryPtr > entries)
virtual | ~Insanity ()
virtual String | getClassName ()
boost::shared_ptr< Insanity > | shared_from_this ()
FieldCacheSanityChecker::InsanityType | getType ()
| Type of insane behavior this object represents.
String | getMsg ()
| Description of the insane behaviour.
Collection< FieldCacheEntryPtr > | getCacheEntries ()
| CacheEntry objects which suggest a problem.
virtual String | toString ()
| Multi-Line representation of this Insanity object, starting with the Type and Msg, followed by each CacheEntry.toString() on it's own line prefaced by a tab character.
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()

## Protected Attributes

FieldCacheSanityChecker::InsanityType | type
String | msg
Collection< FieldCacheEntryPtr > | entries
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Detailed Description

Simple container for a collection of related CacheEntry objects that in conjunction with each other represent some "insane" usage of the FieldCache.

## Constructor & Destructor Documentation

## ◆ Insanity()

Lucene::Insanity::Insanity | ( | FieldCacheSanityChecker::InsanityType | type,
|  | const String & | msg,
|  | Collection< FieldCacheEntryPtr > | entries )

References entries, msg, and type.

Referenced by _getClassName().

## ◆ ~Insanity()

virtual Lucene::Insanity::~Insanity | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

String Lucene::Insanity::_getClassName | ( |  | ) |

inline static

References Insanity().

## ◆ getCacheEntries()

Collection< FieldCacheEntryPtr > Lucene::Insanity::getCacheEntries | ( |  | ) |

CacheEntry objects which suggest a problem.

## ◆ getClassName()

virtual String Lucene::Insanity::getClassName | ( |  | ) |

inline virtual

## ◆ getMsg()

String Lucene::Insanity::getMsg | ( |  | ) |

Description of the insane behaviour.

## ◆ getType()

FieldCacheSanityChecker::InsanityType Lucene::Insanity::getType | ( |  | ) |

Type of insane behavior this object represents.

## ◆ shared_from_this()

boost::shared_ptr< Insanity > Lucene::Insanity::shared_from_this | ( |  | ) |

inline

## ◆ toString()

virtual String Lucene::Insanity::toString | ( |  | ) |

virtual

Multi-Line representation of this Insanity object, starting with the Type and Msg, followed by each CacheEntry.toString() on it's own line prefaced by a tab character.

Reimplemented from Lucene::LuceneObject.

## Field Documentation

## ◆ entries

Collection<FieldCacheEntryPtr> Lucene::Insanity::entries

protected

Referenced by Insanity().

## ◆ msg

String Lucene::Insanity::msg

protected

Referenced by Insanity().

## ◆ type

FieldCacheSanityChecker::InsanityType Lucene::Insanity::type

protected

Referenced by Insanity().

The documentation for this class was generated from the following file:

- FieldCacheSanityChecker.h

clucene.sourceforge.net